Index: code/trunk/src/util/Math.cc
===================================================================
--- code/trunk/src/util/Math.cc	(revision 1625)
+++ code/trunk/src/util/Math.cc	(revision 1791)
@@ -27,4 +27,9 @@
  */
 
+/**
+    @file Math.cc
+    @brief Implementation of several math-functions.
+*/
+
 #include <OgrePlane.h>
 
@@ -33,5 +38,5 @@
 
 /**
-    @brief Function for writing to a stream.
+    @brief Function for writing a Radian to a stream.
 */
 std::ostream& operator<<(std::ostream& out, const orxonox::Radian& radian)
@@ -42,5 +47,5 @@
 
 /**
-    @brief Function for reading from a stream.
+    @brief Function for reading a Radian from a stream.
 */
 std::istream& operator>>(std::istream& in, orxonox::Radian& radian)
@@ -53,5 +58,5 @@
 
 /**
-    @brief Function for writing to a stream.
+    @brief Function for writing a Degree to a stream.
 */
 std::ostream& operator<<(std::ostream& out, const orxonox::Degree& degree)
@@ -62,5 +67,5 @@
 
 /**
-    @brief Function for reading from a stream.
+    @brief Function for reading a Degree from a stream.
 */
 std::istream& operator>>(std::istream& in, orxonox::Degree& degree)
@@ -73,4 +78,16 @@
 
 
+/**
+    @brief Gets the angle between my viewing direction and the direction to the position of the other object.
+    @param myposition My position
+    @param mydirection My viewing direction
+    @param otherposition The position of the other object
+    @return The angle
+
+    @example
+    If the other object is exactly in front of me, the function returns 0.
+    If the other object is exactly behind me, the function returns pi.
+    If the other object is exactly right/left to me (or above/below), the function returns pi/2.
+*/
 float getAngle(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& otherposition)
 {
@@ -83,4 +100,19 @@
 }
 
+/**
+    @brief Gets the 2D viewing direction (up/down, left/right) to the position of the other object.
+    @param myposition My position
+    @param mydirection My viewing direction
+    @param myorthonormal My orthonormalvector (pointing upwards through my head)
+    @param otherposition The position of the other object
+    @return The viewing direction
+
+    @example
+    If the other object is exactly in front of me, the function returns Vector2(0, 0).
+    If the other object is exactly at my left, the function returns Vector2(-1, 0).
+    If the other object is exactly at my right, the function returns Vector2(1, 0).
+    If the other object is only a bit at my right, the function still returns Vector2(1, 0).
+    If the other object is exactly above me, the function returns Vector2(0, 1).
+*/
 orxonox::Vector2 get2DViewdirection(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition)
 {
@@ -100,4 +132,19 @@
 }
 
+/**
+    @brief Gets the 2D viewing direction (up/down, left/right) to the position of the other object, multiplied with the viewing distance to the object (0° = 0, 180° = 1).
+    @param myposition My position
+    @param mydirection My viewing direction
+    @param myorthonormal My orthonormalvector (pointing upwards through my head)
+    @param otherposition The position of the other object
+    @return The viewing direction
+
+    @example
+    If the other object is exactly in front of me, the function returns Vector2(0, 0).
+    If the other object is exactly at my left, the function returns Vector2(-0.5, 0).
+    If the other object is exactly at my right, the function returns Vector2(0.5, 0).
+    If the other object is only a bit at my right, the function still returns Vector2(0.01, 0).
+    If the other object is exactly above me, the function returns Vector2(0, 0.5).
+*/
 orxonox::Vector2 get2DViewcoordinates(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition)
 {
@@ -121,4 +168,14 @@
 }
 
+/**
+    @brief Returns the predicted position I have to aim at, if I want to hit a moving target with a moving projectile.
+    @param myposition My position
+    @param projectilespeed The speed of my projectile
+    @param targetposition The position of my target
+    @param targetvelocity The velocity of my target
+    @return The predicted position
+
+    The function predicts the position based on a linear velocity of the target. If the target changes speed or direction, the projectile will miss.
+*/
 orxonox::Vector3 getPredictedPosition(const orxonox::Vector3& myposition, float projectilespeed, const orxonox::Vector3& targetposition, const orxonox::Vector3& targetvelocity)
 {
